=begin

= Ruby/JS Javascript engine for Ruby

This is Ruby Extension for Using NJS Javascript Interpreter ((<URL:http://www.bbassett.net/njs/>))

current Version(0.0.3) feature this:

  % ruby -rjs -e 'p JS::evaluate(%!true!)'
  true
  % ruby -rjs -e 'p JS::evaluate(%!Math.PI!)'
  3.141592654
  % ruby -rjs -e 'p JS::evaluate(%q!new Date().toString()!)'
  "Mon Feb 24 12:39:15 2003"

references
* /examples/simple.c
* w3m-js((<URL:http://abe.nwr.jp/w3m/w3m-js.html>))
* njsmodule ((<URL:http://www.itee.uq.edu.au/~leonard/personal/software/>))

== Install

Require NJS. and
 % ruby extconf.rb
 % make
 % sudo make install

== Reference

=== JS class
==== Class Method:
--- JS.evaluate(code)
    eval Javascript code and return value.
    when error raise JSError exception.
==== Constants:
--- JS::LIB_VERSION
    NJS Version

=== JSError class
sub class of StandardError.

== Copying

No warranties, GPL2 license. see js.c


== ChangeLog

Wed Feb 26 18:00:00 2003 
        * Version 0.0.3 released.
        * js.c(rb_js_evaluate): Add Check_Type()
        * README.rd.ja: rd2 strict.(thanx ZnZ.)
        * Add README.rd

Mon Feb 24 18:00:00 2003 
        * Version 0.0.2(RAA:ruby-js/[ruby-list:37169])
        * Add JS::evaluate
        * Add README.rd

Sun Feb 23 18:00:00 2003 
        * Version 0.0.1(just start.)

TAMURA.Kenichi tamura@ruby-lang.org

=end
 
